[alsa-devel] [PATCH] ASoC drivers for the Freescale MPC8610 SoC

Timur Tabi timur at freescale.com
Thu Jan 3 19:28:58 CET 2008

Grant Likely wrote:

> Make the compatible property tell you!  :-)  If it's connected to an
> I2S codec, then it could be compatible = "fsl,mpc8610-ssi,i2s".  Or
> for AC7, compatible = "fsl,mpc8610-ssi,ac97"

That won't work.  There are too many variations.  I think a separate property 
just makes more sense.  Frankly, I don't see what's wrong with it.

Timur Tabi
Linux Kernel Developer @ Freescale

More information about the Alsa-devel mailing list